List absences that were approved: approved, or cancelled once withdrawn (dates only, never the leave type)
curl --request GET \
--url https://api.v3.andteam.com/v1/time-off \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.v3.andteam.com/v1/time-off"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.v3.andteam.com/v1/time-off', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.v3.andteam.com/v1/time-off"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "<string>",
"employeeId": "<string>",
"companyId": "<string>",
"from": "<string>",
"to": "<string>",
"halfDay": "am",
"status": "approved",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"next_cursor": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"instance": "<string>"
}Time off
List absences that were approved: approved, or cancelled once withdrawn (dates only, never the leave type)
Needs the Time off field group. Dates only, shown as Away. The leave type is never returned. An absence withdrawn or cancelled after approval comes back with status cancelled.
GET
/
time-off
List absences that were approved: approved, or cancelled once withdrawn (dates only, never the leave type)
curl --request GET \
--url https://api.v3.andteam.com/v1/time-off \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.v3.andteam.com/v1/time-off"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.v3.andteam.com/v1/time-off', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.v3.andteam.com/v1/time-off"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "<string>",
"employeeId": "<string>",
"companyId": "<string>",
"from": "<string>",
"to": "<string>",
"halfDay": "am",
"status": "approved",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"next_cursor": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"instance": "<string>"
}Authorizations
Authorization: Bearer atk_live_…. Created in the API keys section of the Integrations settings; the secret is shown once.
Query Parameters
Page size, 1 to 500. Default 100.
Required range:
1 <= x <= 500The next_cursor of the previous page.
Only records changed after this instant (ISO 8601).
One of the key's companies.